[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TDateEdit.SetDirectInput

Sets the value in the DirectInput property.

## Declaration

Source position: editbtn.pas line 631

`protected procedure TDateEdit.SetDirectInput(`
`AValue: Boolean`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

SetDirectInput is overridden in TDateEdit to synchronize the value from the Text property to the Date property when the property value in DirectInput is changed. The OnCustomDate event handler is signalled (when assigned) to handle a custom date format or value in Text. DateOrder is used to determine the order of the date component values in Text. When DateOrder is doNone, the format setting in DefaultFormatSettings or DateFormat is used. An implementation routine is used to parse the value in Text if cannot be converted using TryStrToDate or ParseDate.

Date is set to the value in NullDate if Text is not successfully converted to a TDateTime value.

Remark: | Date may contain an uninitialized value at design-time.

## See also

TDateEdit.Date |  | Contains the TDateTime value for the control.
TDateEdit.DefaultToday |  | True to use the current system date when a Date value is not available.
TCustomAbstractGroupedEdit.DirectInput |  | Indicates if text can be entered directly into the BaseEditor control.
TCustomAbstractGroupedEdit.Text |  | String with the text or caption for the control.
NullDate |  | Represents a TDateTime type without date and time values.